Unverified Commit 1c2213b6 authored by Imran Salam's avatar Imran Salam Committed by GitHub
Browse files

add typescript optional chaining support and update packages (#217)

parent 490a87e3
Pipeline #49866 passed with stages
in 6 minutes and 22 seconds
......@@ -14,7 +14,8 @@ module.exports = {
plugins: [
'@babel/plugin-syntax-dynamic-import',
'@babel/plugin-proposal-object-rest-spread',
'@babel/plugin-proposal-class-properties'
'@babel/plugin-proposal-class-properties',
'@babel/plugin-proposal-optional-chaining'
],
env: {
test: {
......
This source diff could not be displayed because it is too large. You can view the blob instead.
......@@ -50,10 +50,10 @@
}
},
"dependencies": {
"@sentry/browser": "5.9.0",
"@sentry/browser": "5.10.1",
"classnames": "2.2.6",
"connected-react-router": "6.5.2",
"core-js": "3.4.1",
"connected-react-router": "6.6.1",
"core-js": "3.4.7",
"dotenv": "8.2.0",
"ensembl-genome-browser": "https://raw.githubusercontent.com/Ensembl/ensembl-genome-browser-assets/master/assets-80f51620ed443c640cdfd6b5aebd505b.tar.gz",
"koa-proxy": "1.0.0-alpha.3",
......@@ -66,7 +66,7 @@
"react-redux": "7.1.3",
"react-router": "5.1.2",
"react-router-dom": "5.1.2",
"react-slidedown": "2.4.4",
"react-slidedown": "2.4.5",
"react-spring": "8.0.27",
"redux": "4.0.4",
"redux-devtools-extension": "2.13.8",
......@@ -77,36 +77,37 @@
"what-input": "5.2.6"
},
"devDependencies": {
"@babel/core": "7.7.2",
"@babel/plugin-proposal-class-properties": "7.7.0",
"@babel/plugin-proposal-object-rest-spread": "7.6.2",
"@babel/plugin-syntax-dynamic-import": "7.2.0",
"@babel/plugin-transform-modules-commonjs": "7.7.0",
"@babel/preset-env": "7.7.1",
"@babel/preset-react": "7.7.0",
"@babel/preset-typescript": "7.7.2",
"@storybook/addon-actions": "5.2.6",
"@storybook/addon-notes": "5.2.6",
"@storybook/react": "5.2.6",
"@babel/core": "7.7.5",
"@babel/plugin-proposal-class-properties": "7.7.4",
"@babel/plugin-proposal-object-rest-spread": "7.7.4",
"@babel/plugin-proposal-optional-chaining": "7.7.5",
"@babel/plugin-syntax-dynamic-import": "7.7.4",
"@babel/plugin-transform-modules-commonjs": "7.7.5",
"@babel/preset-env": "7.7.5",
"@babel/preset-react": "7.7.4",
"@babel/preset-typescript": "7.7.4",
"@storybook/addon-actions": "5.2.8",
"@storybook/addon-notes": "5.2.8",
"@storybook/react": "5.2.8",
"@svgr/webpack": "4.3.3",
"@types/classnames": "2.2.9",
"@types/enzyme": "3.10.3",
"@types/enzyme-adapter-react-16": "1.0.5",
"@types/faker": "4.1.7",
"@types/faker": "4.1.8",
"@types/jest": "24.0.23",
"@types/lodash": "4.14.147",
"@types/node": "12.12.7",
"@types/prettier": "1.18.3",
"@types/react": "16.9.11",
"@types/lodash": "4.14.149",
"@types/node": "12.12.14",
"@types/prettier": "1.19.0",
"@types/react": "16.9.15",
"@types/react-dom": "16.9.4",
"@types/react-redux": "7.1.5",
"@types/react-router-dom": "5.1.2",
"@types/react-router-dom": "5.1.3",
"@types/react-router-hash-link": "1.2.1",
"@types/redux-mock-store": "1.0.1",
"@types/storybook__react": "4.0.2",
"@types/webpack-env": "1.14.1",
"@typescript-eslint/eslint-plugin": "2.7.0",
"@typescript-eslint/parser": "2.7.0",
"@typescript-eslint/eslint-plugin": "2.10.0",
"@typescript-eslint/parser": "2.10.0",
"babel-core": "7.0.0-bridge.0",
"babel-jest": "24.9.0",
"babel-loader": "8.0.6",
......@@ -114,21 +115,21 @@
"compression-webpack-plugin": "3.0.0",
"connect-history-api-fallback": "1.6.0",
"copy-webpack-plugin": "5.0.5",
"css-loader": "3.2.0",
"css-loader": "3.2.1",
"enzyme": "3.10.0",
"enzyme-adapter-react-16": "1.15.1",
"enzyme-to-json": "3.4.3",
"eslint": "6.6.0",
"eslint-config-prettier": "6.5.0",
"eslint": "6.7.2",
"eslint-config-prettier": "6.7.0",
"eslint-plugin-prettier": "3.1.1",
"eslint-plugin-react": "7.16.0",
"eslint-plugin-react": "7.17.0",
"eslint-plugin-react-hooks": "2.3.0",
"faker": "4.1.0",
"file-loader": "4.2.0",
"fork-ts-checker-webpack-plugin": "3.1.0",
"fork-ts-checker-webpack-plugin": "3.1.1",
"gh-pages": "2.1.1",
"html-webpack-plugin": "3.2.0",
"husky": "3.0.9",
"husky": "3.1.0",
"identity-obj-proxy": "3.0.0",
"image-webpack-loader": "6.0.0",
"jest": "24.9.0",
......@@ -137,7 +138,7 @@
"koa": "2.11.0",
"koa-connect": "2.0.1",
"koa-static": "5.0.0",
"lint-staged": "9.4.3",
"lint-staged": "9.5.0",
"mini-css-extract-plugin": "0.8.0",
"node-sass": "4.13.0",
"optimize-css-assets-webpack-plugin": "5.0.3",
......@@ -149,13 +150,13 @@
"robotstxt-webpack-plugin": "7.0.0",
"sass-loader": "8.0.0",
"source-map-loader": "0.2.4",
"style-loader": "1.0.0",
"stylelint": "11.1.1",
"stylelint-config-recommended-scss": "4.0.0",
"stylelint-scss": "3.12.1",
"stylelint-webpack-plugin": "1.0.4",
"terser-webpack-plugin": "2.2.1",
"typescript": "3.7.2",
"style-loader": "1.0.1",
"stylelint": "12.0.0",
"stylelint-config-recommended-scss": "4.1.0",
"stylelint-scss": "3.13.0",
"stylelint-webpack-plugin": "1.1.2",
"terser-webpack-plugin": "2.2.2",
"typescript": "3.7.3",
"webpack": "4.41.2",
"webpack-bundle-analyzer": "3.6.0",
"webpack-cli": "3.3.10",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment